<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        $abulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
        $t_tglcetak = date('d', strtotime($tglcetak)) . " " . $abulan[date('m', strtotime($tglcetak))] . " " . date('Y', strtotime($tglcetak));        
        ?>
        <div>
            <table width="100%">
                <tr>
                    <td width="10%" style="border: 1px solid #fff;"><img src="<?= $ar_pemda->s_logo ?>" width="50"></td>
                    <td style="text-align:center; padding-right: 10%;border: 1px solid #fff;">
                        <span style="font-size:13pt;font-weight: BOLD;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></span><br>
                        <span style="font-size:15pt;font-weight: BOLD;"><?= strtoupper($ar_pemda->s_namainstansi); ?></span><br>
                        <span style="font-size:10pt;"><?= $ar_pemda->s_alamatinstansi; ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
                    </td>
                </tr>
            </table>
            <hr style="line-height: 1px; color: black">
            <h2 style="text-align: center;font-size:13pt;font-family:sans-serif;">MUTASI PIUTANG <?= strtoupper($ar_jenis['s_namajenis'])?></h2>
            
            <table width="100%" cellpadding="5" class="font_sembilan" style="text-align: center">
                <tr style="background:#ccc;">
                    <th class="" width="3%">
                        NO
                    </th>
                    <th>
                        NAMA DEBITUR
                    </th>
                    <th width="15%">
                        SALDO AWAL<br>
                        <?= '01-01-'.date('Y', strtotime($tglcetak))?>
                    </th>
                    <th width="18%">
                        KETETAPAN<br>
                        <?= '01-01-'.date('Y', strtotime($tglcetak)).' s/d 31-12-'.date('Y', strtotime($tglcetak))?>
                    </th>
                    <th width="18%">
                        SETORAN<br>
                        <?= '01-01-'.date('Y', strtotime($tglcetak)).' s/d 31-12-'.date('Y', strtotime($tglcetak))?>
                    </th>
                    <th width="15%">
                        SALDO AKHIR<br>
                        <?= '31-12-'.date('Y', strtotime($tglcetak))?>
                    </th>
                </tr>
                <tr>
                    <td>1.</td>
                    <td style="text-align:left;"><b><?= strtoupper($ar_jenis['s_namajenis'])?></b></td>
                    <td style="text-align:right;"></td>
                    <td style="text-align:right;"></td>
                    <td style="text-align:right;"></td>
                    <td style="text-align:right;"></td>
                </tr>
                <?php foreach($this->data as $key => $v){ ?>
                <tr>
                    <td></td>
                    <td style="text-align:left;"><?=$v['korek'].'<br>'.$v['s_namakorek']?></td>
                    <td style="text-align:right;"><?=number_format($v['saldo_awal'], 2, ',', '.')?></td>
                    <td style="text-align:right;"><?=number_format($v['ketetapan'], 2, ',', '.')?></td>
                    <td style="text-align:right;"><?=number_format($v['setoran'], 2, ',', '.')?></td>
                    <td style="text-align:right;"><?=number_format(($v['ketetapan'] - $v['setoran']) + $v['saldo_awal'], 2, ',', '.')?></td>
                </tr>
                <?php 
                    $totalsaldoawal += $v['saldo_awal'];
                    $totalketetapan += $v['ketetapan'];
                    $totalsetoran += $v['setoran'];
                    $totalsaldoakhir += ($v['ketetapan'] - $v['setoran']) + $v['saldo_awal'];
                } ?>
                <tr>
                    <th style="text-align:center;" colspan="2">JUMLAH</th>
                    <th style="text-align:right;"><?=number_format($totalsaldoawal, 2, ',', '.')?></th>
                    <th style="text-align:right;"><?=number_format($totalketetapan, 2, ',', '.')?></th>
                    <th style="text-align:right;"><?=number_format($totalsetoran, 2, ',', '.')?></th>
                    <th style="text-align:right;"><?=number_format($totalsaldoakhir, 2, ',', '.')?></th>
                </tr>
            </table>
            <table width="100%" style="font-family:sans-serif;" class="font_sembilan">
                <tr>
                    <td style="width:25%;text-align:center;border:1px solid #fff;">
                        
                        <br><br>
                        <b><?=strtoupper($ar_mengetahui->s_jabatanpej)?>
                        <br><br><br><br>
                        <u><?=$ar_mengetahui->s_namapej?></u>
                        <br>
                        NIP. <?=$ar_mengetahui->s_nippej?></b>
                    </td>
                    <td style="width:25%;text-align:center;border:1px solid #fff;">
                        <br><br>
                        <b><?=strtoupper($ar_bendahara->s_jabatanpej)?>
                        <br><br><br><br>
                        <u><?=$ar_bendahara->s_namapej?></u>
                        <br>
                        NIP. <?=$ar_bendahara->s_nippej?></b>
                    </td>
                    <td style="width:25%;text-align:center;border:1px solid #fff;">
                        <br><br>
                        <b><?=strtoupper($ar_diperiksa->s_jabatanpej)?>
                        <br><br><br><br>
                        <u><?=$ar_diperiksa->s_namapej?></u>
                        <br>
                        NIP. <?=$ar_diperiksa->s_nippej?></b>
                    </td>
                    <td style="width:25%;text-align:center;border:1px solid #fff;">
                        <?= $ar_pemda->s_namaibukotakabkota. ', ' .$t_tglcetak ?>
                        <br><br>
                        <b><?=strtoupper($ar_ppk->s_jabatanpej)?>
                        <br><br><br><br>
                        <u><?=$ar_ppk->s_namapej?></u>
                        <br>
                        NIP. <?=$ar_ppk->s_nippej?></b>
                    </td>
                </tr>
            </table>
        </div>
        <htmlpagefooter name="MyCustomFooter">
        <table style="vertical-align: bottom; font-family:sans-serif;font-size: 7pt;" width="100%">
                <tbody>
                    <tr>
                            <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                        <td style="font-style: italic;text-align: left;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                        <td style="font-style: italic;text-align: right;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                    </tr>
                </tbody>
            </table>
        </htmlpagefooter>
    </body>
</html>

<style type="text/css" media="print">
    table, th, td {
        font-family: sans-serif;
        border: 1px solid black;
        border-collapse: collapse;
    }
    .font_empatbelas {
        font-size: 14pt;
    }    
    @page{
                /* ensure you append the header/footer name with 'html_' */
                header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
                footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
            }
</style>